Get Default Availability Schedule
Retrieve the user’s default availability schedule, used when a scheduling page does not have a specific schedule assigned.
curl --request GET \
--url https://api.zeeg.me/v2/schedules/default \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zeeg.me/v2/schedules/default"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeeg.me/v2/schedules/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"status": 200,
"resource": {
"uri": "https://api.zeeg.me/v2/schedules/Q1ZYo391da",
"uuid": "Q1ZYo391da",
"email": "lena.meier@horizondigital.de",
"title": "Working Hours",
"isDefault": true,
"timezone": "Europe/Berlin",
"weeklyHours": [
{
"day": "Mon",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Tue",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Wed",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Thu",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Fri",
"timesets": [
[
"09:00",
"17:00"
]
]
},
{
"day": "Sat",
"timesets": []
},
{
"day": "Sun",
"timesets": []
}
],
"specialHours": [
{
"date": "2026-04-21",
"timesets": [
[
"10:00",
"14:00"
]
]
}
],
"timeOff": [
{
"uuid": "3f2504e0-4f89-41d3-9a0c-0305e82c3301",
"uri": "https://api.zeeg.me/v2/time-off/3f2504e0-4f89-41d3-9a0c-0305e82c3301",
"type": "vacation",
"title": "Summer break",
"startDate": "2026-08-01",
"endDate": "2026-08-15",
"startHalfDay": false,
"endHalfDay": true,
"startHalfDayCutoff": null,
"endHalfDayCutoff": "13:00",
"note": null
}
],
"schedulingPages": [
{
"uuid": "80f46bf5-eb01-4c07-960e-a9a3e18aae5e",
"title": "30-Minute Discovery Call",
"slug": "30min-discovery-call",
"schedulingUrl": "https://zeeg.me/lena-meier/30min-discovery-call"
}
],
"currentTime": "2026-04-10T08:30:00+02:00",
"createdAt": "2026-04-01T10:00:00.000000Z",
"updatedAt": "2026-04-05T14:30:00.000000Z"
}
}{
"message": "Unauthenticated."
}{
"message": "The email field is required.",
"errors": {
"email": [
"The email field is required."
]
}
}Authorizations
Query Parameters
Email address of the user whose default schedule to retrieve.
"lena.meier@horizondigital.de"
When true, includes the list of scheduling pages associated with the schedule.
true
Response
OK
Hide child attributes
Hide child attributes
API resource URI for this schedule
Email address of the schedule owner
Display name of the schedule
Whether this is the default schedule
IANA timezone identifier
User-level time-off periods (vacation, out-of-office) that apply across all of the user's scheduling pages. Only future periods are returned, ordered by start date. Half-day flags indicate the first/last day of the period is partial.
Hide child attributes
Hide child attributes
Canonical URL of the time-off period.
vacation, out_of_office Half-day cutoff (HH:MM), null when startHalfDay is false.
Half-day cutoff (HH:MM), null when endHalfDay is false.
Current server time
Timestamp of creation
Timestamp of last update
true
200
